//+------------------------------------------------------------------+
//|                                                 SOK 6-7 lots.mq4 |
//|                                                             Yuny |
//|                                                                  |
//+------------------------------------------------------------------+

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 DodgerBlue
#property indicator_color2 Red
extern string pair1 = "EURUSD";
extern color color_pair1 = DodgerBlue;
extern string pair2 = "GBPUSD";
extern color color_pair2 = Red;
#property indicator_level1 3.5
#property indicator_level2 3
#property indicator_level3 2.5
#property indicator_level4 2
#property indicator_level5 1.5
#property indicator_level6 1
#property indicator_level7 0.5
#property indicator_level8 0




extern string  pop_Len  = "Nastavim si kolko sviecok potam";
extern int     Length   = 500;
extern double  nasobek  = 0.5;
extern double  lot1     = 0.50;
double Level[], In[];

string indname;
double Level3[];

int digitsPair1,digitsPair2;
double ZeroLine[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

//velikost pozice je jasna tam si nastavis velikost u te vjetsi pozice ta se priradi tomu paru co ma nissi hodnotu a vypocet te druhe je delenec mezi tou vissi cenou a tou nissi to je GBPUSD 1,5985 a EURUSD 1,3684
//[20:36:35] donny65: 1,5985/1,3684=1,1681
//[20:38:09] donny65: a tim se vydeli ta vetsi pozice to je ze si nastavys  treba 2,40 lotu ta bude u EURUSD  a GBPUSD bude 2,05 lotu


int init()
  {
//---- indicators

   double cena1 = MarketInfo (pair1,MODE_ASK);
   double cena2 = MarketInfo (pair2,MODE_ASK);
   double maxsize = MathMax (MarketInfo (pair1,MODE_ASK),MarketInfo (pair2,MODE_ASK));
   double minsize = MathMin (MarketInfo (pair1,MODE_ASK),MarketInfo (pair2,MODE_ASK));
   double koef = maxsize / minsize;

   indname = "SOK 6-7 lots  //  ( zadej: "+DoubleToStr (lot1,2)+" lot / "+DoubleToStr((lot1/koef),2)+" lot )";
   IndicatorShortName(indname);
   //IndicatorShortName(pair2+" MODRA   "+pair1+" CERVENA    rozdil pohybu v 10% ");
   
   digitsPair1=MarketInfo(pair1,MODE_DIGITS);
   digitsPair2=MarketInfo(pair2,MODE_DIGITS);
   Print(digitsPair1+" jjj");
   Print(digitsPair2);
   SetIndexStyle(0, DRAW_LINE,EMPTY,EMPTY,color_pair1);
   SetIndexBuffer(0, Level);
   SetIndexStyle(1, DRAW_LINE,EMPTY,EMPTY,color_pair2);
   SetIndexBuffer(1, Level3);
   
//----

   return(0);
  }
  
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
ObjectDelete("popisPar1"+indname);
ObjectDelete("popisPar2"+indname);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{

   double cena1 = MarketInfo (pair1,MODE_ASK);
   double cena2 = MarketInfo (pair2,MODE_ASK);
   
int WindowNumber = WindowFind(indname);

if(ObjectFind("popisPar1"+indname)==-1) 
   {
   ObjectCreate("popisPar1"+indname, OBJ_LABEL, WindowNumber, 0, 0);
   ObjectSetText("popisPar1"+indname, pair1 + " ["+DoubleToStr(digitsPair1,4)+"]  dle SOKu: "
   + DoubleToStr (cena2/10,2)+ " lotu", 12, "Arial Bold", color_pair1);
   ObjectSet("popisPar1"+indname, OBJPROP_CORNER, 0);
   ObjectSet("popisPar1"+indname, OBJPROP_XDISTANCE, 10);
   ObjectSet("popisPar1"+indname, OBJPROP_YDISTANCE, 20);
   }
   else{
    ObjectSetText("popisPar1"+indname, pair1+ " ["+DoubleToStr(cena1,4)+"]  dle SOKu: "
   + DoubleToStr (cena2/10,2)+ " lotu", 12, "Arial Bold", color_pair1);
   }
   
  
   if(ObjectFind("popisPar2"+indname)==-1) 
   {
   ObjectCreate("popisPar2"+indname, OBJ_LABEL, WindowNumber, 0, 0);
   ObjectSetText("popisPar2"+indname, pair2 + " ["+DoubleToStr(digitsPair2,4)+"]  dle SOKu: "
   + DoubleToStr (cena1/10,2)+ " lotu", 12, "Arial Bold", color_pair2);
   ObjectSet("popisPar2"+indname, OBJPROP_CORNER, 0);
   ObjectSet("popisPar2"+indname, OBJPROP_XDISTANCE, 10);
   ObjectSet("popisPar2"+indname, OBJPROP_YDISTANCE, 40);
   }
   else{
    ObjectSetText("popisPar2"+indname, pair2+ " ["+DoubleToStr(cena2,4)+"]  dle SOKu: "
   + DoubleToStr (cena1/10,2)+ " lotu", 12, "Arial Bold", color_pair2);
   }
   
   int i, limit, counted_bars=IndicatorCounted();
   double  Usdjpy, Usdchf, Gbpjpy,Chfcad,Audcad,Audnzd,Gbpnzd,Eurchf,Eurcad, Eurjpy,Eurgbp,Eurusd,Usdjpy1,Eurjpy1,Eurusd1,Usdjpy2,Eurjpy2,Eurusd2,Usdjpy3,Eurjpy3,Eurusd3,Usdjpy4,Eurjpy4,Eurusd4;
double a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15,a16,b1,b3,c1,c2,c3,c4,c5,c6,c7,c8,c9;
double Level_In1,Level_In2,Level_In3,Level_In;

//----
   if(counted_bars < 0) 
      return(-1);
   if(counted_bars > 0) 
      counted_bars--;
   
   limit = Bars - counted_bars;
   
   if(Length > 0) 
      limit = Length;

   for (i = limit; i>0; i--)
   {
      double delitel = 100;
      if((digitsPair1 == 2 || digitsPair1 == 3) && (digitsPair2 > 3)) delitel =iClose(pair1,0,i)/iClose(pair2,0,i);
      if((digitsPair2 == 2 || digitsPair2 == 3) && (digitsPair1 > 3)) delitel =iClose(pair2,0,i)/iClose(pair1,0,i);
      
          if(digitsPair1 == 2 || digitsPair1 == 3)Usdjpy = iClose(pair1,0,i)/delitel;
          else Usdjpy = iClose(pair1,0,i);
          
          if(digitsPair2 == 2 || digitsPair2 == 3)Eurjpy = iClose(pair2,0,i)/delitel;
          else Eurjpy = iClose(pair2,0,i);
          
          if(digitsPair1 == 2 || digitsPair1 == 3)Usdjpy1 = iOpen(pair1,0,i)/delitel;
          else Usdjpy1 = iOpen(pair1,0,i);
          
          if(digitsPair2 == 2 || digitsPair2 == 3)Eurjpy1 = iOpen(pair2,0,i)/delitel;
         else Eurjpy1 = iOpen(pair2,0,i);
        
      
          if(digitsPair1 == 2 || digitsPair1 == 3)Usdjpy2 = iOpen(pair1,PERIOD_D1,1)/delitel;
          else Usdjpy2 = iOpen(pair1,PERIOD_D1,1);
          
          if(digitsPair2 == 2 || digitsPair2 == 3)Eurjpy2 = iOpen(pair2,PERIOD_D1,1)/delitel;
          else Eurjpy2 = iOpen(pair2,PERIOD_D1,1);
          
      
       
   
         
       a1= MarketInfo(pair1,MODE_TICKVALUE);
       a2= MarketInfo(pair2,MODE_TICKVALUE);
     
        
    
     
      
      
      
   c1 =  Usdjpy2-Usdjpy;
   c2 = Eurjpy2-Eurjpy;
  
     
      Level[i] = (((c2*a2)*Usdjpy)-(c1*a1)*Eurjpy)*nasobek;
     Level3[i] = (((c1*a1)*Eurjpy)-(c2*a2)*Usdjpy)*nasobek;
    
   }
//----
   return(0);

}